<!DOCTYPE html>
<?php
if(empty($_REQUEST['manufacturer']) or empty($_REQUEST['system']) or empty($_REQUEST['type'])) {
    echo "Missing drop down info";
    exit();
}

$host = "webdev.iyaserver.com";
$userid = "dent_guest";
$userpw = "Acad276_Dev2Ex@m";
$db = "dent_exam";

$mysql = new mysqli(
    $host,
    $userid,
    $userpw,
    $db
);

if($mysql->connect_errno) {
    echo "db connection error : " . $mysql->connect_error;
    exit();

}
?>
<html>

<head lang="en">

    <meta charset="UTF-8">

    <title>Acad276 Practical Exam: Results</title>

    <style>

        .container {

            width:  600px;

            margin: auto;

        }

        h1 {

            margin: auto;

            text-align: center;

            background-color:   #900;

            color:  #FC0;

            height: 60px;

            line-height: 60px;

        }

        .num-results {

            margin: 20px 10px;

        }

        table {

            margin: auto;

            margin-bottom: 20px;

            width:  80%;

            border-collapse: collapse;

        }

        th, td {

            border: 1px solid #900;

            border-collapse: collapse;

            padding:    10px;

            text-align: center;

        }

        img {

            width: 100px;

        }

        .nav-link{

            margin: 10px 0px;

            font-size: 14px;

        }

    </style>

</head>

<body>
<?php
// SQL query
$sql = "SELECT * FROM devices, manufacturers, systems, types WHERE 1=1";

// devices.name, devices.price, manufacturers.manufacturer, systems.system, types.type

// conditional additions
if ($_REQUEST['manufacturer'] != "ALL") {
    $sql .= " AND manufacturers.manufacturer_id = " . $_REQUEST['manufacturer'];
}

if ($_REQUEST['type'] != "ALL") {
    $sql .= " AND types.type_id = " . $_REQUEST['type'];
}

if ($_REQUEST['system'] != "ALL") {
    $sql .= " AND systems.system_id = " . $_REQUEST['system'];
}

echo "Here is the SQL being submitted: " . $sql . "<br>";

$results = $mysql->query($sql);

if(!$results) {
    echo "SQL error: " . $mysql->error;
    exit();
}
?>
<div class="container">

    <h1>Mobile Device Database: Search Results</h1>

    <div class="nav-link">

        <a href="search.php"><< Back to Search Page</a>

    </div>

    <div class="num-results">

        <strong><?php echo "Your search returned " . $results->num_rows . " results." ?></strong>

    </div>



    <table>

        <tr>

            <th>Name</th>

            <th>Price</th>

            <th>Manufacturer</th>

            <th>System</th>

            <th>Type</th>

        </tr>


<?php
        while($currentrow = $results->fetch_assoc()) {
            echo "<tr><td><strong>" .
                "<a href='details.php?id=" . $currentrow["device_id"] . "'>" .
                $currentrow['name'] .
                "</a></strong></td>";
            echo "<td><strong>" .
                $currentrow['price'] .
                "</strong></td>";
            echo "<td><strong>" .
                $currentrow['manufacturer'] .
                "</strong></td>";
            echo "<td><strong>" .
                $currentrow['system'] .
                "</strong></td>";
            echo "<td><strong>" .
                $currentrow['type'] .
                "</strong></td></tr>";
        }
?>

    </table>

</div>

</body>

</html>